class SendMessageModel {
  String author;
  String channel;
  String type;
  String user;
  String text;
  String payloadTitle;

  SendMessageModel(
      {this.author = "me",
      this.channel = "socket",
      this.type = "message",
      this.user,
      this.text,
      this.payloadTitle});

  SendMessageModel.fromJson(Map<String, dynamic> json) {
    author = json['author'];
    channel = json['channel'];
    type = json['type'];
    user = json['user'];
    text = json['text'];
    payloadTitle = json['payloadTitle'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['author'] = this.author;
    data['channel'] = this.channel;
    data['type'] = this.type;
    data['user'] = this.user;
    data['text'] = this.text;
    data['payloadTitle'] = this.payloadTitle;
    return data;
  }
}
