class QuickMenuItemModel {
  String sId;
  String name;
  String url;
  String payload;
  int order;
  String createdAt;
  String updatedAt;
  int iV;

  QuickMenuItemModel(
      {this.sId,
      this.name,
      this.url,
      this.payload,
      this.order,
      this.createdAt,
      this.updatedAt,
      this.iV});

  QuickMenuItemModel.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    name = json['name'];
    url = json['url'];
    payload = json['payload'];
    order = json['order'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
    iV = json['__v'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['name'] = this.name;
    data['url'] = this.url;
    data['payload'] = this.payload;
    data['order'] = this.order;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    data['__v'] = this.iV;
    return data;
  }
}
